MBIMCLI(1)

NAME
mbimcli - Control MBIM devices

DESCRIPTION

  Usage:

    mbimcli [OPTION...] - Control MBIM devices

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-basic-connect
    Show Basic Connect Service options

Basic Connect options

--query-device-caps
    Query device capabilities

--query-subscriber-ready-status
    Query subscriber ready status

--query-radio-state
    Query radio state

--query-device-services
    Query device services

--query-pin-state
    Query PIN state

--enter-pin=[(current PIN)]
    Enter PIN

--change-pin=[(current PIN),(new PIN)]
    Change PIN

--enable-pin=[(current PIN)]
    Enable PIN

--disable-pin=[(current PIN)]
    Disable PIN

--enter-puk=[(PUK),(new PIN)]
    Enter PUK

--query-home-provider
    Query home provider

--query-preferred-providers
    Query preferred providers

--query-visible-providers
    Query visible providers

--query-registration-state
    Query registration state

--register-automatic
    Launch automatic registration

--query-signal-state
    Query signal state

--query-packet-service-state
    Query packet service state

--attach-packet-service
    Attach to the packet service

--detach-packet-service
    Detach from the packet service

--query-connection-state
    Query connection state

--connect=[(APN),(PAP|CHAP|MSCHAPV2),(Username),(Password)]
    Connect (Authentication, Username and Password are optional)

--disconnect
    Disconnect

--query-packet-statistics
    Query packet statistics

  Application Options:

-d, --device=[PATH]
    Specify device path

--no-open=[Transaction ID]
    Do not explicitly open the MBIM device before running the command

--no-close
    Do not close the MBIM device after running the command

--noop
    Don't run any command

-v, --verbose
    Run action with verbose logs, including the debug ones

--silent
    Run action with no logs; not even the error/warning ones

-V, --version
    Print version

mbimcli 1.4.0 Copyright (2013) Aleksander Morgado License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl-2.0.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.